[Tool] phpBB 2.0.10 to 2.0.11 Changes

All new MODs released in our MOD Database will be announced in here. All support for released MODs needs to take place in here. No new MODs will be accepted into the MOD Database for phpBB2
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.

Rating:

Excellent!
43
70%
Very Good
7
11%
Good
5
8%
Fair
0
No votes
Poor
6
10%
 
Total votes: 61

drolemit
Registered User
Posts: 2
Joined: Sat Feb 26, 2005 1:48 pm

Post by drolemit »

I know I have to update to 2.0.11 but each time I visit here and read about all the problems I become discouraged - but not this time.

I ran the update with EasyMOD (0.1.13) and you guessed it I have a problem. The update failed. :?

Below is the error, would someone please help me?

Regards, Greg.
Critical Error

FIND FAILED: In file [templates/subSilver/admin/board_config_body.tpl] could not find:

<tr>
<td class="row2"><input type="radio" name="require_activation" value="{ACTIVATION_NONE}" {ACTIVATION_NONE_CHECKED} />{L_NONE}&nbsp; &nbsp;<input type="radio" name="require_activation" value="{ACTIVATION_USER}" {ACTIVATION_USER_CHECKED} />{L_USER}&nbsp; &nbsp;<input type="radio" name="require_activation" value="{ACTIVATION_ADMIN}" {ACTIVATION_ADMIN_CHECKED} />{L_ADMIN}</td>
</tr>

MOD script line #753
JT-KGY
Registered User
Posts: 12
Joined: Wed Mar 02, 2005 9:47 am

Post by JT-KGY »

Need help... I updated from 2.0.10 to 2.0.11 then 2.0.12

but I found someone else on this thread having the same problem...

from jczeroman:

Code: Select all

SQL Error : 1064 You have an error in your SQL syntax near ''mllkjlkjl'')' at line 1 

INSERT INTO phpbb2_posts_text (post_id, post_subject, bbcode_uid, post_text) VALUES (37484, '', '563b8947c8', 'mllkjlkjl'') 
Seems like the call str_replace("\'", "''", $message) as the parameter to
submit_post doesnt seem to work anymore...

I had to change that to str_replace("'", "''", $message) to get it working..
anyone know how this could be the result of updating with mods?

Thank you!
JT-KGY
Registered User
Posts: 12
Joined: Wed Mar 02, 2005 9:47 am

Post by JT-KGY »

Here's the call of submit_post from my posting.php...

Code: Select all

 submit_post($mode, $post_data, $return_message, $return_meta, $forum_id, $topic_id, $post_
id, $poll_id, $topic_type, $bbcode_on, $html_on, $smilies_on, $attach_sig, $bbcode_uid, str_replace("\'", "''", $username)
, str_replace("\'", "''", $subject), str_replace("\'", "''", $message), str_replace("\'", "''", $poll_title), $poll_option
s, $poll_length);
This file is not changed... and my php/apache is not changed... so I'm
really confused that I am getting this error now..

Can anyone please help? Thank you.
TeeDot
Registered User
Posts: 3
Joined: Sun Jan 16, 2005 7:22 am

Post by TeeDot »

TeeDot wrote: asinshesq - Thank you for your help. I used your suggestion and I was at least able to upgrade to 2.0.11 successfully.

However, my Custom Mass PM mod is not working properly. This is the problem:

Let's say you want to to send a pm to 3 people and their usernames are Alexander1999, Beatrice2004 & Charlotte2005. You type this in the username field of your pm:

Alexander1999, Beatrice2004, Charlotte2005

You are then told that the user Beatrice20 does not exist. In other words, it is not reading the usernames past the 25th character.

Those of you who said you have a heavily modded board and were able to update to 2.0.11 with no problems - do you have the Custom Mass PM mod? Is it working properly for you?

Thanks


Bumping this thread in hopes that someone can help with this problem that I posted about on Jan 15th.

Is there anyone out there who managed to get their Custom Mass PM mod working with 2.0.11? I was hoping to get this resolved before upgrading to 2.0.13.

Thanks.
JohninLA
Registered User
Posts: 207
Joined: Thu Oct 10, 2002 1:14 pm
Location: Los Angeles, CA

Upgrading from 2.08-2.0.11

Post by JohninLA »

I've been putting off upgrading as it always seems to create problems, at least for me. I decided to go for it today, and, as usual for me, I have problems.

I upgraded from 2.0-2.10. There was no update_to_2.10.php file in the package I dl'd. I then went from 2.10-2.11. I made the changes, then attempted to run the update, and am now getting these errors:

Warning: main(./../album_mod/album_constants.php): failed to open stream: No such file or directory in /home/menwho2/public_html/pphbb/includes/constants.php on line 32

Warning: main(./../album_mod/album_constants.php): failed to open stream: No such file or directory in /home/menwho2/public_html/pphbb/includes/constants.php on line 32

Warning: main(): Failed opening './../album_mod/album_constants.php' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/menwho2/public_html/pphbb/includes/constants.php on line 32

Warning: main(./../db/mysql4.php): failed to open stream: No such file or directory in /home/menwho2/public_html/pphbb/includes/db.php on line 35

Warning: main(./../db/mysql4.php): failed to open stream: No such file or directory in /home/menwho2/public_html/pphbb/includes/db.php on line 35

Warning: main(): Failed opening './../db/mysql4.php' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/menwho2/public_html/pphbb/includes/db.php on line 35

Fatal error: Cannot instantiate non-existent class: sql_db in /home/menwho2/public_html/pphbb/includes/db.php on line 60
.


What do I do now???? My board seems to be running now, but I have an unfinished update sitting out there.

Thanks for any suggestions.
User avatar
CTCNetwork
Former Team Member
Posts: 15424
Joined: Fri Dec 19, 2003 3:50 am
Location: In that Volvo behind you!
Contact:

Re: update

Post by CTCNetwork »

dragon39 wrote: for 6 days, no one answered my Queries above so i updated 2.010 to 2.011 using easymod and it worked. even visual confirmation. using icgstation template.

now my question is, why does my pages still say version 2.010 at the bottom?

Because you have not run the pgrade to file to update your forums database?
This can be done by hand if you have phpMyAdmin or similar and change the version number manually..

Hope this helps,

Des. . . :wink:
Density:- Not just a measurement~Its a whole way of Life.! ! !
| Welcome! | RTFM!!! | Search! It's Easy! | Problem? | Spam? | Advice! |
User avatar
Kio
Registered User
Posts: 8
Joined: Wed Oct 13, 2004 10:32 pm
Location: Milano, Italy

common.php

Post by Kio »

I've read some people who have problem with common.php mod and nobody have suggested anything.
Because I'm in the same situation (if I do common.php mod I receive an error "double $ in line 255" and line 255 is the last line!), am I so stupid to be not able to understand where is the problem? :lol:
cityhues
Registered User
Posts: 3
Joined: Wed Oct 20, 2004 5:10 pm
Location: Calgary, Canada
Contact:

Problem updating from 2.0.10 to 2.0.11 - Blank Pages

Post by cityhues »

Board has been offline for several months and just in the process of reactivating it and updating from 2.0.10 to 2.0.11 (On the way to 2.0.13).

The board has several Mods in place - so have made all the adjustments manually as directed.

Upon activation - forums are simply BLANK - view html source - no code - no nothing. 8O

backed out to previous version 2.0.10 - pages display again. Redid (very carefully) all the adjustments to 2.0.11 .. same Blank Page result.

Fooled aroud a bit and found that all is ok - until either the "common.php" file or the "includes/functions.php" file are ftp'd to the server.

Very frustrated at this point - obviously I'm doing something improperly. Any help or advise much appreciated.
liberty1
Registered User
Posts: 17
Joined: Sat Nov 13, 2004 10:41 am
Contact:

Post by liberty1 »

I have allso a lot of mods and diiferent languages so I allso wanna change everything manual.

So it means I don't have to run the "update_to_2011.php ?

Or manual or the file "update_to_2011.php ????

The same from 2.0.11 to 2.0.14?
my6600.net
Registered User
Posts: 71
Joined: Tue Nov 25, 2003 6:02 pm

Post by my6600.net »

URGENT help needed please.

I have just upgraded from .10 to .11 and everything seemed fine, until I finally do the upgrade.php and now i get an error message
Fatal error: Call to undefined function: include_attach_lang() in /home/sexiwap/www.my6600.net/docs/forum/includes/functions.php on line 560


Not sure what I have done wrong?
my6600.net
Registered User
Posts: 71
Joined: Tue Nov 25, 2003 6:02 pm

Post by my6600.net »

URGENT help needed please.

I have just upgraded from .10 to .11 and everything seemed fine, until I finally do the upgrade.php and now i get an error message
Fatal error: Call to undefined function: include_attach_lang() in /home/sexiwap/www.my6600.net/docs/forum/includes/functions.php on line 560


Not sure what I have done wrong?
my6600.net
Registered User
Posts: 71
Joined: Tue Nov 25, 2003 6:02 pm

Post by my6600.net »

URGENT help needed please.

I have just upgraded from .10 to .11 and everything seemed fine, until I finally do the upgrade.php and now i get an error message
Fatal error: Call to undefined function: include_attach_lang() in /home/sexiwap/www.my6600.net/docs/forum/includes/functions.php on line 560


Not sure what I have done wrong?
Yes-I
Registered User
Posts: 60
Joined: Mon Sep 27, 2004 2:31 pm
Location: Texas
Contact:

Upgrade From 2.10 to 2.11 Missing Info In Viewtopic.php

Post by Yes-I »

Hi all,

My site was hacked and I am trying t o upgrade from 2.10 to 2.15, and I know I have to upgrade ver by ver since my forum is heavily modded


Here is the command line from the upgrade text file instructions
#-----[ FIND ]---------------------------------------------
# Line 486
$words = explode(' ', trim(htmlspecialchars(urldecode($HTTP_GET_VARS['highlight']))));

#
#-----[ REPLACE WITH ]---------------------------------------------
#
$words = explode(' ', trim(htmlspecialchars($HTTP_GET_VARS['highlight'])));



#


In my Viewtopic.php file, this is the closest I an get to find the requested line
unset($words);

$highlight = urlencode($HTTP_GET_VARS['highlight']);
}


Tired to due a search for the word "explode" or "trim" in the entire Profile.php and those words are not found in my file.

Any ideas how to comply with the upgrade instructions on this file?



Upgrade From 2.10 to 2.11 Missing Info In Profile.php

One other file that has missing info an d I cannot figure it out.


All is fine until I get to the profile.php file, the upgrade asks to find
include($phpbb_root_path . 'includes/usercp_register.'.$phpEx);
exit;
}


But in my forums Profile.php file, that statement does not exist at all. The only ones close to it are
include($phpbb_root_path . "profilcp/profilcp_sendpassword.$phpEx");
include($phpbb_root_path . "profilcp/profilcp_privmsg_popup.$phpEx");
include($phpbb_root_path . './includes/page_tail.'.$phpEx);
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);
include($phpbb_root_path . 'profilcp/functions_profile.'.$phpEx);
include($phpbb_root_path . 'includes/functions_selects.'.$phpEx);
include($phpbb_root_path . 'includes/functions_validate.'.$phpEx);
include($phpbb_root_path . 'includes/functions_post.'.$phpEx);
include($phpbb_root_path . 'includes/bbcode.'.$phpEx);
include($phpbb_root_path . 'includes/emailer.'.$phpEx);
include_once($phpbb_root_path . 'includes/functions_topics_list.' . phpEx);
include($phpbb_root_path . "profilcp/" . $file);
include($phpbb_root_path . "profilcp/profilcp_activate.$phpEx");
include($phpbb_root_path . "profilcp/profilcp_email.$phpEx");


The command is to add after include($phpbb_root_path . 'includes/usercp_register.'.$phpEx);
exit;
}

This command else if ( $mode == 'confirm' )
{
// Visual Confirmation
if ( $userdata['session_logged_in'] )
{
exit;
}

include($phpbb_root_path . 'includes/usercp_confirm.'.$phpEx);
exit;
}


So, can I just add the entire find and add after since it does not exist at all?

And where do I added it?

I would ad the entirecommand like this

include($phpbb_root_path . 'includes/usercp_register.'.$phpEx);
exit;
}

else if ( $mode == 'confirm' )
{
// Visual Confirmation
if ( $userdata['session_logged_in'] )
{
exit;
}

include($phpbb_root_path . 'includes/usercp_confirm.'.$phpEx);
exit;
}
LET THE GAMES BEGIN @ YES I CTF
www.yisquad-hq.com
User avatar
ukbeg
Registered User
Posts: 59
Joined: Mon Sep 19, 2005 6:43 pm
Location: Southampton, UK
Contact:

Post by ukbeg »

Hi all

I am trying to upgrade my forum from 2.0.10 to 2.0.17, i have the files for the .10 to .17 upgrade, (I take it I can do that instead of upgrading each at a time .11 .12 .13 etc ... ) but a couple of questions ...

Do I just drag the whole lot - folders, PHP files into my existing files using FTP and they will locate themselves in the correct path .. ? or place the files into thier correct files/folders individually .. ?

Second question ... where do I put the upgrade_to_latest PHP file ..? in the top lever file or in a special folder somewhere .. ?

thanks for your time :D
Peter_E
Registered User
Posts: 78
Joined: Mon Sep 08, 2003 2:25 pm
Location: Reichenborn, Germany
Contact:

Post by Peter_E »

Code: Select all

Critical Error

FIND FAILED: In file [viewtopic.php] could not find:

$words = explode(' ', trim(htmlspecialchars(urldecode($HTTP_GET_VARS['highlight']))));

MOD script line #773 :: FAQ :: Report
Yes, changing the file to the original code did it.
Post Reply

Return to “[2.0.x] MOD Database Releases”